#
# spec file for package ima-evm-utils
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define sover 0
%define libname libimaevm%{sover}

Name:           ima-evm-utils
Version:        0.9
Release:        5.5
Summary:        IMA/EVM control utility
License:        LGPL-2.1+
Group:          System/Libraries
URL:		    http://sourceforge.net/projects/linux-ima/
Source0:        http://downloads.sourceforge.net/project/linux-ima/ima-evm-utils/%{name}-%{version}.tar.gz
Patch2:         ima-evm-utils-fix-docbook-xsl-directory.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  asciidoc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  docbook-xsl-stylesheets
BuildRequires:  keyutils-devel
BuildRequires:  libattr-devel
BuildRequires:  libtool
BuildRequires:  libxslt-tools
BuildRequires:  openssl-devel
BuildRequires:  pkg-config

%description
This package provides the IMA/EVM control utility.

%package devel
Summary:        IMA/EVM control utility --development files
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}

%description devel
This package contains the header files and the utilities for %{name}.

%package -n %{libname}
Summary:        IMA/EVM control utility --shared library
Group:          System/Libraries

%description -n %{libname}
This package provides the IMA:EVM shared library.

%package -n evmctl
Summary:        IMA/EVM control utility --IMA/EVM signing utility
Group:          System/Kernel
Provides:       ima-evm-utils = %{version}
Obsoletes:      ima-evm-utils < %{version}

%description -n evmctl
The evmctl utility can be used for producing and verifying digital signatures,
which are used by Linux kernel integrity subsystem (IMA/EVM). It can be also
used to import keys into the kernel keyring.

%prep
%setup -q
%patch2 -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure --disable-static
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
# Let do it by ourselves later...
rm -rf %{buildroot}%{_datadir}/doc
find %{buildroot}%{_libdir} -type f -name "*.a" -print -delete
find %{buildroot}%{_libdir} -type f -name "*.la" -print -delete

%post -n %{libname} -p /sbin/ldconfig

%preun -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files devel
%defattr(-,root,root,-)
%doc examples/*
%{_includedir}/*
%{_libdir}/libimaevm.so

%files -n %{libname}
%defattr(-,root,root,-)
%doc README COPYING NEWS AUTHORS
%{_libdir}/libimaevm.so.*

%files -n evmctl
%defattr(-,root,root,-)
%{_bindir}/evmctl
%{_mandir}/man1/evmctl.1.gz

%changelog
* Wed Jan 21 2015 p.drouand@gmail.com
- Update to version 0.9
  * Updated README
  * man page generated and added to the package
  * Use additional SMACK xattrs for EVM signature generation
  * Signing functions moved to libimaevm for external use (RPM)
  * Fixed setting of correct hash header
- Add additional requirements; asciidoc, docbook-xsl-stylesheets,
  libattr-devel and libxslt-tools
- Remove COPYING from sources; upstream provides one now
- Remove automake.patch; "test" directory isn't provided by upstream
  anymore
- Remove ima-evm-utils-xattr.patch; libimaevm0 does link against
  libattr now
- Split package in three subpackage
  * libimaevm0: contains shared library
  * -devel: contains header and examples files
  * evmctl: the kernel signing tool
- Add ima-evm-utils-fix-docbook-xsl-directory.patch; fix path
  where Make is looking for docbook.xsl
* Sun Oct 12 2014 crrodriguez@opensuse.org
- ima-evm-utils-xattr.patch: libattr is never linked, things
  still work because glibc provides the same interface, switch
  the includes to the glibc headers and remove the build dependency.
* Tue Aug 13 2013 meissner@suse.com
- Initial packaging of IMA EVM tool.
- automake.patch: fix for newer automake
- supply COPYING for LGPL-2.1+, as package only has an empty one.
